QuantLib: EnergyBasisSwap Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
EnergyBasisSwap Class Reference

Energy basis swap. More...

`#include <ql/experimental/commodities/energybasisswap.hpp>`

Inherits EnergySwap.

## Public Member Functions
| EnergyBasisSwap (const Calendar &calendar, const boost::shared_ptr< CommodityIndex > &spreadIndex, const boost::shared_ptr< CommodityIndex > &payIndex, const boost::shared_ptr< CommodityIndex > &receiveIndex, bool spreadToPayLeg, const Currency &payCurrency, const Currency &receiveCurrency, const PricingPeriods &pricingPeriods, const CommodityUnitCost &basis, const CommodityType &commodityType, const boost::shared_ptr< SecondaryCosts > &secondaryCosts, const Handle< YieldTermStructure > &payLegTermStructure, const Handle< YieldTermStructure > &receiveLegTermStructure, const Handle< YieldTermStructure > &discountTermStructure)
const boost::shared_ptr< CommodityIndex > & | payIndex () const
const boost::shared_ptr< CommodityIndex > & | receiveIndex () const
const CommodityUnitCost & | basis () const

## Protected Member Functions
void | performCalculations () const

## Protected Attributes
boost::shared_ptr< CommodityIndex > | spreadIndex_
boost::shared_ptr< CommodityIndex > | payIndex_
boost::shared_ptr< CommodityIndex > | receiveIndex_
bool | spreadToPayLeg_
CommodityUnitCost | basis_
Handle< YieldTermStructure > | payLegTermStructure_
Handle< YieldTermStructure > | receiveLegTermStructure_
Handle< YieldTermStructure > | discountTermStructure_

## Detailed Description

Energy basis swap.

## Member Function Documentation

void performCalculations | ( |  | ) | const
| protectedvirtual

In case a pricing engine is not used, this method must be overridden to perform the actual calculations and set any needed results. In case a pricing engine is used, the default implementation can be used.

Reimplemented from Instrument.